<?php
namespace Contactum;

class Fromhandler {

	public function __construct() {
		add_action( 'admin_post_contactum_form_response', [ $this, 'form_response' ] );
		add_action( 'admin_post_nopriv_contactum_form_response', [ $this, 'form_response' ] );
	}
	public function form_response() {
		$post_data = wp_unslash( $_POST );
		$option_value = get_option('Contactum_plugin_options');
    	extract($option_value);
		$fmessage   = '';

		if ( isset( $post_data['contactum_nonce'] ) && wp_verify_nonce( $post_data['contactum_nonce'], 'contactum_action' ) ) {
			$pattern = "/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/";
			if ( isset( $post_data["cf_email"] ) && !empty( $post_data['cf_email'] ) && preg_match($pattern, strtolower( $post_data["cf_email"] ) ) ) {
				$email      = sanitize_email( $post_data["cf_email"] );
				$subject    = sanitize_text_field( $post_data["cf_subject"] );
				$message    = sanitize_text_field( $post_data["cf_message"] );
				$myMessage  = 'You received a message from '. $email  ."\n\n". $message;
				$mailSender = wp_mail( $recipient, $subject, $myMessage );
			    if ( $mailSender ) {
					$fmessage = 'Thanks for submitting form';
			    } else {
					$fmessage = 'Showing Error';
			    }
			} else {
	   			$fmessage = 'Invalid Email';
			}
		} else {
			$fmessage = __( 'nonce verification failed',  'contactum' );
		}

		wp_redirect( $post_data['_wp_http_referer'] .'?contactum_message='.$fmessage );
		exit();
	}
}