<?php
namespace Contactum;

class Settings {
    public $options;

    public function __construct() {
        $this->options = get_option('Contactum_plugin_options');
        $this->contactum_register_settings_and_fields();
    }

    public static function contactum_tools_options_page(){
        add_options_page( 'Contactum', 'Contactum ', 'administrator', __FILE__, [ __CLASS__, 'contactum_tools_options' ] );
    }

    public static function contactum_tools_options(){
?>
<div class="wrap">
    <h2>Contactum Configuration</h2>
    <form method="post" action="options.php" enctype="multipart/form-data">
        <?php settings_fields('Contactum_plugin_options'); ?>
        <?php do_settings_sections(__FILE__); ?>
        <p class="submit">
         <input name="submit" type="submit" class="button-primary" value="Save Changes"/>
        </p>
    </form>
</div>
<?php
    }
    public function contactum_register_settings_and_fields(){
         register_setting( 'Contactum_plugin_options', 'Contactum_plugin_options', [ $this,'contactum_validate_settings' ] );
         add_settings_section( 'contactum_main_section', 'Settings', [ $this,'contactum_main_section_cb' ], __FILE__);
         add_settings_field( 'recipient', 'Recipient Mail', [ $this,'recipient_settings' ], __FILE__,'contactum_main_section');
         add_settings_field( 'name', 'Form Name', [ $this,'name_settings' ], __FILE__,'contactum_main_section');
         add_settings_field( 'marginTop', 'Margin Top', [ $this,'marginTop_settings' ], __FILE__,'contactum_main_section');
         add_settings_field( 'width', 'Width', [ $this,'width_settings' ], __FILE__,'contactum_main_section');
         add_settings_field( 'height', 'Height', [ $this,'height_settings' ], __FILE__,'contactum_main_section');
    }

    public function contactum_validate_settings($plugin_options){
        return($plugin_options);
    }

    public function contactum_main_section_cb() {
        //optional
    }


    //recipient_settings
    public function recipient_settings() {
        if(empty($this->options['recipient'])) $this->options['recipient'] = "yourmail@gmail.com";
            printf('<input name="Contactum_plugin_options[recipient]" type="text" value="%s" />', esc_attr(  $this->options['recipient'] ) );

    }

     //name_settings
    public function name_settings() {
        if(empty($this->options['name'])) $this->options['name'] = "Contact Us Slider";
            printf('<input name="Contactum_plugin_options[name]" type="text" value="%s" />', esc_attr( $this->options['name'] ) );
    }

    //marginTop_settings
    public function marginTop_settings() {
        if(empty($this->options['marginTop'])) $this->options['marginTop'] = "250";
            printf('<input name="Contactum_plugin_options[marginTop]" type="text" value="%s" />', esc_attr( $this->options['marginTop'] ) );

    }

    //width_settings
    public function width_settings() {
        if( empty( $this->options['width'] ) ) $this->options['width'] = "350";
            printf('<input name="Contactum_plugin_options[width]" type="text" value="%s" />',  esc_attr( $this->options['width'] ) );
    }

    public function height_settings() {
        if( empty( $this->options['height'] ) ) $this->options['height'] = "400";
        	printf('<input name="Contactum_plugin_options[height]" type="text" value="%s" />',  esc_attr( $this->options['height'] ) );
    }
}