<?php
$form_id   = isset( $_GET['form_id'] ) ? absint( $_GET['form_id'] ) : 0; // phpcs:ignore WordPress.Security.NonceVerification
$entry_id  = isset( $_GET['id'] ) ? absint( $_GET['id'] ) : 0; // phpcs:ignore WordPress.Security.NonceVerification
$form     = contactum()->forms->get( $form_id );
$entry    = $form->entries()->get( $entry_id );
$metadata = $entry->getMetadata();
$fields   = $entry->getFields();
?>
<div class="wrap contactum-forms">
    <h1 class="wp-heading-inline"> <?php esc_html_e( 'Entry View', 'contactum' ); ?> </h1>

    <div class="contactum-forms-entry">
        <div id="poststuff">
            <div id="post-body" class="metabox-holder columns-2">
                <!-- Entry Fields metabox -->
                <div id="post-body-content" style="position: relative;">
                    <div id="contactum-forms-entry-fields" class="postbox">
                        <div class="inside">
                            <table class="wp-list-table widefat fixed striped posts">
                                <tbody>
                                    <?php
                                        foreach ($fields as $field ) { ?>
                                            <tr>
                                                <td> <?php esc_attr_e( $field['label'] ); ?> </td>
                                                <td> <?php
                                                    if( isset( $field['value'] ) ) {
                                                        echo is_array( $field['value'] ) ? implode(CONTACTUM_SEPARATOR, $field['value'] ) : $field['value']; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                                                    } ?> </td>
                                            </tr>
                                        <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

                <div id="postbox-container-1" class="postbox-container">
                    <div id="contactum-forms-entry-details" class="postbox">
                        <h2 class="handle"> <span><?php esc_html_e( 'Entry Details', 'contactum' ); ?></span> </h2>
                        <div class="inside">
                            <div class="contactum-forms-entry-details-meta">
                                <p class="contactum-forms-entry-id">
                                    <span class="dashicons dashicons-admin-network"></span>
                                    <?php esc_html_e( 'Entry ID:', 'contactum' ); ?> <strong> <?php esc_attr_e( $metadata['id'] ); ?> </strong>
                                </p>

                                <p class="contactum-forms-entry-date">
                                    <span class="dashicons dashicons-calendar"></span>
                                    <?php esc_html_e( 'Submitted:', 'contactum' ); ?> <strong> <?php esc_attr_e( $metadata['created'] ); ?> </strong>
                                </p>

                                <p class="contactum-forms-entry-user">
                                    <span class="dashicons dashicons-admin-users"></span>
                                    <?php esc_html_e( 'User:', 'contactum' ); ?> <strong> <a href=""> <?php esc_attr_e( $metadata['user'] ); ?> </a> </strong>
                                </p>

                                <p class="contactum-forms-entry-ip">
                                    <span class="dashicons dashicons-location"></span>
                                    <?php esc_html_e( 'User IP:', 'contactum' ); ?> <strong> <?php esc_attr_e( $metadata['ip_address'] ); ?> </strong>
                                </p>

                                <p class="contactum-forms-entry-referer">
                                    <span class="dashicons dashicons-admin-links"></span>
                                    <?php esc_html_e( 'Referer Link:', 'contactum' ); ?> <strong><a href="<?php  esc_attr_e( $metadata['referer'] ); ?>" target="_blank"> View</a> </strong>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
