<?php
    defined( 'ABSPATH' ) || exit;
?>
<div class="contactum-forms-import-form">
    <div class="postbox">
        <h3><?php esc_html_e( 'Import Contactum Forms', 'contactum' ); ?></h3>
        <p><?php esc_html_e( 'Select JSON file to import the form.', 'contactum' ); ?></p>
        <div class="contactum-forms-file-upload">
            <input type="file" name="file" id="contactum-forms-import" <?php esc_attr_e( 'files selected', 'contactum' ); ?>" accept=".json" />
        </div>
        <p class="description">
            <i class="dashicons dashicons-info"></i>
            <?php
            /* translators: %s: File format */
            printf( esc_html__( 'Only %s file is allowed.', 'contactum' ), '<strong>JSON</strong>' );
            ?>
        </p>
        <div class="publishing-action">
            <button type="submit" class="button button-primary contactum-forms-btn contactum-forms-btn-primary contactum_forms_import_action" name="contactum-forms-import-form"><?php esc_html_e( 'Import Form', 'contactum' ); ?></button>
            <?php wp_nonce_field( 'contactum-import-forms' ); ?>
        </div>
    </div>
</div>

<style type="text/css">
    .postbox {
        padding: 10px;
    }

    .contactum_forms_import_action {
        margin-top: 15px !important;
    }
</style>
